Skip to main content
GET
/
invoices
/
{clientId}
/
{invoiceId}
/
line-items
Get Invoice Line Items
curl --request GET \
  --url https://api.sandbox.flowpayroll.ai/v1/billing/invoices/{clientId}/{invoiceId}/line-items \
  --header 'X-Auth-Token: <api-key>'
{
  "content": {
    "data": {
      "lineItems": [
        {
          "id": "<string>",
          "invoiceId": "<string>",
          "organisationId": "<string>",
          "clientId": "<string>",
          "employeeId": "<string>",
          "employeeName": "<string>",
          "description": "<string>",
          "amount": 123,
          "payElementId": "<string>",
          "units": 123,
          "chargeRate": 123,
          "chargeUnits": 123,
          "chargeValue": 123,
          "date": "<string>",
          "tags": [
            {
              "name": "<string>",
              "group": "<string>",
              "value": "<string>"
            }
          ],
          "createdDate": "<string>",
          "createdBy": "<string>",
          "attachments": [
            {
              "id": "<string>",
              "lineItemId": "<string>",
              "filename": "<string>",
              "contentType": "<string>",
              "fileSize": 123,
              "uploadedDate": "<string>",
              "uploadedBy": "<string>",
              "s3Key": "<string>",
              "source": "<string>",
              "downloadUrl": "<string>",
              "downloadUrlExpiresAt": "<string>"
            }
          ],
          "payElementDescription": "<string>",
          "accountCode": "<string>",
          "taxType": "<string>",
          "quantity": 123,
          "unitAmount": 123,
          "lineAmount": 123,
          "taxAmount": 123,
          "poNumber": "<string>"
        }
      ],
      "paginationToken": "<string>",
      "hasMorePages": true,
      "pageSize": 123
    },
    "metadata": {
      "dateFormat": "<string>",
      "dateTimeFormat": "<string>"
    }
  },
  "metadata": {
    "dateFormat": "<string>",
    "dateTimeFormat": "<string>"
  },
  "errors": [
    {
      "field": "<string>",
      "reasonText": "<string>",
      "reasonId": "<string>",
      "reasonParameters": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "message": {
    "text": "<string>",
    "textId": "<string>",
    "textParameters": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Auth-Token
string
header
required

Authentication token for API access

Path Parameters

clientId
string
required
invoiceId
string
required

Query Parameters

pageSize
integer<int32>
paginationToken
string
missingAttachments
boolean
missingPoNumber
boolean

Response

OK

content
object
metadata
object
errors
object[] | null
message
object